{{- $svcPort := .Values.flower.service.port -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: "{{ .Release.Name }}-flower"
  labels:
    {{- include "libdjango.labels" . | nindent 4 }}
  annotations:
    "cert-manager.io/cluster-issuer": "letsencrypt-prod"
    "nginx.ingress.kubernetes.io/ssl-redirect": "true"
    "nginx.ingress.kubernetes.io/enable-cors": {{ .Values.flower.ingress.corsEnabled | quote }}
    "kubernetes.io/tls-acme": "true"
    {{- with .Values.flower.ingress.annotations }}
      {{- toYaml . | nindent 4 }}
    {{- end }}
spec:
  ingressClassName: "nginx"
{{- if .Values.flower.ingress.tls }}
  tls:
  {{- range .Values.flower.ingress.tls }}
    - hosts:
      {{- range .hosts }}
        - {{ . | quote }}
      {{- end }}
      secretName: {{ .secretName }}
  {{- end }}
{{- end }}
  rules:
  {{- range .Values.flower.ingress.hosts }}
    - host: {{ .host | quote }}
      http:
        paths:
        {{- range .paths }}
          - path: {{ .path }}
            pathType: {{ .pathType }}
            backend:
              service:
                name: "{{ $.Release.Name }}-flower"
                port:
                  number: {{ $svcPort }}
        {{- end }}
  {{- end }}
